> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.elacity.ai/llms.txt.
> For full documentation content, see https://docs.elacity.ai/llms-full.txt.

# Create draft compile preview

POST /api/draft-compile-previews
Content-Type: application/json

Compiles draft body (frontmatter, imports, preprocessors) and returns compiled string for the publish dialog.

Reference: https://docs.elacity.ai/api-reference/elacity-prm-api/drafts/prm-drafts-compile-preview

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /draft-compile-previews:
    post:
      operationId: prm-drafts-compile-preview
      summary: Create draft compile preview
      description: >-
        Compiles draft body (frontmatter, imports, preprocessors) and returns
        compiled string for the publish dialog.
      tags:
        - subpackage_drafts
      parameters:
        - name: X-API-Key
          in: header
          description: API key for programmatic access
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Drafts_prm.drafts.compilePreview_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                registryRef:
                  type: string
                promptName:
                  type: string
                artifactType:
                  $ref: >-
                    #/components/schemas/DraftCompilePreviewsPostRequestBodyContentApplicationJsonSchemaArtifactType
                body:
                  type: string
                model:
                  type: string
                environment:
                  type: string
              required:
                - registryRef
                - promptName
                - artifactType
                - body
servers:
  - url: /api
components:
  schemas:
    DraftCompilePreviewsPostRequestBodyContentApplicationJsonSchemaArtifactType:
      type: string
      enum:
        - prompt
        - promptlet
      title: >-
        DraftCompilePreviewsPostRequestBodyContentApplicationJsonSchemaArtifactType
    Drafts_prm.drafts.compilePreview_Response_200:
      oneOf:
        - description: Any type
        - description: Any type
      title: Drafts_prm.drafts.compilePreview_Response_200
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for programmatic access

```

## SDK Code Examples

```python
import requests

url = "https://api/draft-compile-previews"

payload = {
    "registryRef": "string",
    "promptName": "string",
    "artifactType": "prompt",
    "body": "string"
}
headers = {
    "X-API-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api/draft-compile-previews';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"registryRef":"string","promptName":"string","artifactType":"prompt","body":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api/draft-compile-previews"

	payload := strings.NewReader("{\n  \"registryRef\": \"string\",\n  \"promptName\": \"string\",\n  \"artifactType\": \"prompt\",\n  \"body\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/draft-compile-previews")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"registryRef\": \"string\",\n  \"promptName\": \"string\",\n  \"artifactType\": \"prompt\",\n  \"body\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api/draft-compile-previews")
  .header("X-API-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"registryRef\": \"string\",\n  \"promptName\": \"string\",\n  \"artifactType\": \"prompt\",\n  \"body\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api/draft-compile-previews', [
  'body' => '{
  "registryRef": "string",
  "promptName": "string",
  "artifactType": "prompt",
  "body": "string"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/draft-compile-previews");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"registryRef\": \"string\",\n  \"promptName\": \"string\",\n  \"artifactType\": \"prompt\",\n  \"body\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "registryRef": "string",
  "promptName": "string",
  "artifactType": "prompt",
  "body": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api/draft-compile-previews")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```